Bug 72303 - dateconfig changes time if BIOS accessed while running
Summary: dateconfig changes time if BIOS accessed while running
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dateconfig   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-22 21:11 UTC by Daniel Ganek
Modified: 2012-03-06 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-23 19:57:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Ganek 2002-08-22 21:11:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; HP-UX B.10.20 9000/778)

Description of problem:
Dell laptops allow the user to enter the BIOS at anytime (Fn-F1).  If the user
enters the BIOS
while linux is running , returns and and runs dataconfig, dataconfig resets the
time by adding
the timezone offset  to the current time.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On a DELL laptop boot linux 
2.Press Fn-F1 to enter the BIOS,
3.Press ESC to return to linux
4.Run dataconfig
	

Actual Results:  Time has been increment by the timezone offset; e.g., if the
timezone is EDT the time has been decrement by 4 hours.

Expected Results:  Time should be left alone

Additional info:

Comment 1 Brent Fox 2002-08-22 21:35:14 UTC
Do things work correctly if you just run dateconfig without going into the bios?

Comment 2 Daniel Ganek 2002-08-23 19:56:48 UTC
dateconfig works as expected if the BIOS is NOT entered

Comment 3 Brent Fox 2002-10-22 19:51:27 UTC
I think that this is a rather uncommon situation and therefore not worthy of
investing time in.  That's not to say that something better couldn't be done but
there are much more important issues to tend to.  Closing as 'wontfix'.


Note You need to log in before you can comment on or make changes to this bug.